import { adminCredentials } from '~/components/credentials';
import { headersWithAuth } from './headers-with-auth';

export const adminDbExists = async () => {
  const credentials = adminCredentials();
  if (!credentials) {
    return null;
  }
  const { database } = credentials;

  const headers = headersWithAuth();
  if (!headers) {
    return null;
  }

  const response = await fetch(`${database}/dyomedea_users`, {
    method: 'HEAD',
    mode: 'cors',
    headers,
  });

  if (response.status !== 200) {
    console.error({ caller: 'dbExists', response });
  }

  return response.status === 200;
};
